UNICOVERAGE(1)

NAME
unicoverage - Print coverage of each Unicode Script

SYNOPSIS
unicoverage [-iinput-file] [-ooutput-file] [-n]

DESCRIPTION
unicoverage reads a GNU Unifont .hex font and uses data in coverage.dat (which must reside in the current directory). The output is the percent coverage of each script listed in the coverage.dat file. The Unicode code points in the input .hex file must be in ascending order.

OPTIONS

-i  Specify the input file. The default is STDIN.

-n  Print the number of glyphs in each range instead of a percentage count.

-o  Specify the output file. The default is STDOUT.

EXAMPLE
Sample usage:

    unicoverage < unifont.hex >coverage.txt

FILES
coverage.dat, *.hex GNU Unifont files.

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexrotate(1), unipagecount(1), unipng2hex(1)

AUTHOR
unicoverage was written by Paul Hardy.

LICENSE
unicoverage is Copyright © 2007, 2008 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known real bugs exist, except that this software does not perform extensive error checking on its input files.